/* @group @variables */

[class*="o-mutual-header"] {
--mutual-header-position: absolute;
--mutual-header-height: 4.5rem;
--mutual-header-body-height: 4.5rem;
--paragraph-line-height: var(--line-height);
}

[class*="is-fit-sticky"] [class*="o-mutual-header"] {
--mutual-header-body-height: 3.75rem;
}

[class*="o-site-root"] [class*="o-mutual-header"] {
--mutual-header-body-height: 3.75rem;
}

@media (width >= 48em) { /* 768px -> * */

[class*="is-fit-sticky"] [class*="o-mutual-header"] {
--mutual-header-body-height: 3.75em;
}

[class*="is-watch-nav"] [class*="o-site-root"] [class*="o-mutual-header"] {
--mutual-header-body-height: 3rem;
}

}

/* @end @variables */

/* @group @o-mutual-header */

[class*="o-mutual-header"] {
position: var(--mutual-header-position);
z-index: 11;
top: 0;
right: 0;
left: 0;
height: var(--mutual-header-height);
}

[class*="o-mutual-header"] a[href^="tel:"] {
--link-color: var(--color-text);
--link-action-color: var(--color-text-action);
--link-active-color: var(--color-text-action);
}

/* @end @a-mutual-header */

/* -------------------------------------------------------- */

/* @group @variables */

[class*="m-mutual-header-body"] {
--mutual-header-body-position: absolute;
--mutual-header-body-overflow: hidden;
--mutual-header-body-place-items: center;
--mutual-header-body-grid-template-columns: var(--x-padding-left) 3rem 1fr 3rem var(--x-padding-right);
--mutual-header-body-transform: translateY(0);
--mutual-header-body-backdrop-filter: blur(.125rem);
--mutual-header-body-transition: var(--transform-none-transition), var(--position-none-transition);
}

[class*="is-watch-nav"] [class*="m-mutual-header-body"] {
--mutual-header-body-overflow: visible;
--mutual-header-body-background-color: hsl(0deg 0% 100% / 90%);
--mutual-header-body-box-shadow: 0 1px 0 0 var(--border-color), 0 1px .5rem 0 hsl(220deg 5% 50% / 50%);
--mutual-header-body-transform: translateY(-15rem);
--mutual-header-body-transition: var(--transform-none-transition), var(--position-none-transition);
}

[class*="is-watch-nav"][class*="is-fit-sticky"] [class*="m-mutual-header-body"] {
--mutual-header-body-position: fixed;
}

[class*="is-watch-nav"][class*="is-scroll-down"] [class*="m-mutual-header-body"] {
--mutual-header-body-transition: var(--transform-none-transition), var(--position-none-transition);
--mutual-header-body-transition: var(--transform-transition), var(--position-wait-transition);
}

[class*="is-watch-nav"][class*="is-scroll-up"] [class*="m-mutual-header-body"] {
--mutual-header-body-transform: translateY(0);
--mutual-header-body-transition: var(--transform-transition), var(--position-wait-transition);
}


/*[class*="is-fit-sticky"][class*="is-watch-nav"] [class*="m-mutual-header-body"] {
--mutual-nav-body-transform: translateY(0);
--mutual-nav-body-transition: var(--transform-transition), var(--position-wait-transition);
}*/
[class*="m-mutual-header-body"] {
--mutual-header-body-grid-template-columns: var(--x-padding-left) auto 1fr auto auto var(--x-padding-right);
--mutual-header-logo-grid-column: 2;
--mutual-header-info-grid-column: 4;
--mutual-header-contact-grid-column: 5;
}

/* @end @variables */

/* @group @o-mutual-header-body */

[class*="m-mutual-header-body"] {
box-sizing: border-box;
position: var(--mutual-header-body-position);
overflow: var(--mutual-header-body-overflow);
top: 0;
right: 0;
left: 0;
display: grid;
place-items: var(--mutual-header-body-place-items);
grid-template-columns: var(--mutual-header-body-grid-template-columns);
box-shadow: var(--mutual-header-body-box-shadow);
}

[class*="a-mutual-header-logo"] {
grid-column: var(--mutual-header-logo-grid-column);
}

[class*="a-mutual-header-contact"] {
grid-column: var(--mutual-header-contact-grid-column);
}

/* @end @o-mutual-header-body */

/* @group @o-mutual-header-body */

[class*="m-mutual-header-body"] {
width: 100%;
height: var(--mutual-header-body-height);
background-color: var(--mutual-header-body-background-color);
box-shadow: var(--mutual-header-body-box-shadow);
transition: var(--mutual-header-body-transition);
will-change: transform;
transform: var(--mutual-header-body-transform);
-webkit-backdrop-filter: var(--mutual-header-body-backdrop-filter);
backdrop-filter: var(--mutual-header-body-backdrop-filter);
}

@media print {
[class*="m-mutual-header-body"] {
position: absolute;
transform: none;
}

}

/* @end @o-mutual-header-body */

/* header logo -------------------------------------------------------- */

/* @group @variables */

[class*="a-mutual-header-logo"] {
--mutual-header-logo-img-height: 2.25rem;
--mutual-header-logo-filter: brightness(0) invert(1);
}

[class*="is-watch-nav"] [class*="a-mutual-header-logo"] {
--mutual-header-logo-filter: brightness(1) invert(0);
}

/* @end @variables */

/* @group @a-mutual-header-logo */

[class*="a-mutual-header-logo"] {
position: relative;
z-index: 3;
display: inline-grid;
place-items: center;
}

[class*="a-mutual-header-logo-img"],
[class*="a-mutual-header-logo-img"][height] {
width: auto;
height: var(--mutual-header-logo-img-height);
filter: var(--mutual-header-logo-filter);
}

/* @end @a-mutual-header-logo */

/* watch header -------------------------------------------------------- */

/* @group @variables */
/*[class*="a-mutual-header-watch"] {
--header-watch-height: 12rem;
}

@media (width >= 62em) { /* 992px -> * *!/
[class*="a-mutual-header-watch"] {
--header-watch-height: 24rem;
}

}*/

/* @end @variables */

/* @group @a-mutual-header-watch */

[class*="a-mutual-header-watch"] {
position: absolute;
z-index: -1;
top: 0;
left: 0;
width: 1px;
height: calc(var(--hero-height) / 2);
pointer-events: none;
}

/* @end @a-mutual-header-watch */